Deleting a webhook endpoint cannot be reversed. All associated event subscriptions will be removed.
If you only need to temporarily stop receiving events, we recommend using Update Webhook Endpoint to set the status to disabled instead of deleting the endpoint.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"JoggAI API","colors":{"primary":"#2E5CFF","light":"#2E5CFF","dark":"#2E5CFF"},"logo":{"light":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312320557.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=60564135d6f732afa55cb2402b5b822d","dark":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Dark-logo.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=aa8916e58a85e73105f1d28ef6357d6f"},"favicon":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312319951.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=7670acffaa09107ec308969f94fe1f17","navbar":{"links":[{"href":"mailto:support@jogg.ai","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://app.jogg.ai/"}},"footer":{"socials":{"x":"https://x.com/Jogg_ai","facebook":"https://www.facebook.com/profile.php?id=61560344774204","linkedin":"https://www.linkedin.com/company/jogg-ai","youtube":"https://www.youtube.com/@joggai","discord":"https://discord.gg/RwrwZcSRCq"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Roadmap","icon":"pencil","href":"https://updates.jogg.ai/roadmap"},{"anchor":"Changelog","icon":"code","href":"https://updates.jogg.ai/changelog"},{"anchor":"Share Your Ideas","icon":"envelope","href":"https://updates.jogg.ai/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"joggai","hasAudioNarration":false,"actualSubdomain":"joggai","customDomains":["docs.jogg.ai"],"gitSource":{"type":"github","owner":"joggai-tech","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6af183882126ef8f812fc240","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API Documentation","count":57},{"language":"default","tag":"Workflows Guides","count":13},{"language":"default","tag":"Video","count":13},{"language":"default","tag":"Avatar","count":7},{"language":"default","tag":"Asset","count":5},{"language":"default","tag":"Webhook","count":5},{"language":"default","tag":"Create Avatar Videos","count":4},{"language":"default","tag":"QuickStart","count":4},{"language":"default","tag":"Voice","count":4},{"language":"default","tag":"Product","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2/Webhook/DeleteWebhookEndpoint","slug":"/api-reference/v2/Webhook/DeleteWebhookEndpoint","pageMetadata":{"title":"Delete Webhook Endpoint","openapi":"DELETE /v2/endpoint/{endpoint_id}","description":"Remove a webhook endpoint from your account.\nThis action cannot be undone and the endpoint will stop receiving events immediately.\n","href":"/api-reference/v2/Webhook/DeleteWebhookEndpoint"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Remove a webhook endpoint from your account.\\nThis action cannot be undone and the endpoint will stop receiving events immediately.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Info,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Remove a webhook endpoint from your account.`}),`\n`,_jsx(_components.p,{children:`This action cannot be undone and the endpoint will stop receiving events immediately.`}),`\n`,_jsx(Heading,{level:`2`,id:`use-cases`,children:`Use Cases`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Remove webhooks that are no longer needed`}),`\n`,_jsx(_components.li,{children:`Clean up inactive endpoints`}),`\n`,_jsx(_components.li,{children:`Stop event notifications`}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`important-notes`,children:`Important Notes`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Deleting a webhook endpoint cannot be reversed. All associated event subscriptions will be removed.`})}),`\n`,_jsx(Info,{children:_jsxs(_components.p,{children:[`If you only need to temporarily stop receiving events, we recommend using `,_jsx(_components.a,{href:`/api-reference/v2/Webhook/UpdateWebhookEndpoint`,children:`Update Webhook Endpoint`}),` to set the status to `,_jsx(_components.code,{children:`disabled`}),` instead of deleting the endpoint.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Delete Webhook Endpoint","openapi":"DELETE /v2/endpoint/{endpoint_id}","description":"Remove a webhook endpoint from your account.\nThis action cannot be undone and the endpoint will stop receiving events immediately.\n","href":"/api-reference/v2/Webhook/DeleteWebhookEndpoint"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Use Cases","slug":"use-cases","depth":2,"children":[]},{"title":"Important Notes","slug":"important-notes","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Webhook"],"summary":"Delete Webhook Endpoint","description":"Remove a webhook endpoint from your account.\nThis action cannot be undone and the endpoint will stop receiving events immediately.\n","parameters":["6b427c9b-026f-409c-8e7d-c51394675e92"],"responses":{"200":"ba4112db-1bcc-4ea8-acda-1222c9195d44"},"method":"delete","type":"path","servers":["96615429-67a8-4f47-8174-a31957b3c19f"],"security":["71ba0c86-b503-42ce-a9fe-0fa52c0002ef"],"path":"/v2/endpoint/{endpoint_id}","baseUrlOptions":["https://api.jogg.ai"],"title":"Delete Webhook Endpoint","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"6b427c9b-026f-409c-8e7d-c51394675e92":{"name":"endpoint_id","in":"path","required":true,"description":"Unique webhook endpoint identifier","schema":{"type":"string","example":"wh_123456","isRequired":true,"description":"Unique webhook endpoint identifier","uniqueKey":"","typeLabel":"string"}}},"responses":{"ba4112db-1bcc-4ea8-acda-1222c9195d44":{"description":"Success","content":{"application/json":{"schema":{"type":"object","required":["code","msg"],"properties":{"code":{"type":"integer","description":"Business status code:\n* 0 - Success\n* 10104 - Record not found\n* 10105 - Invalid API key\n* 18020 - Insufficient credit\n* 18025 - No permission to call APIs\n* 40000 - Parameter error\n* 50000 - System error\n","example":0,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"msg":{"type":"string","description":"Response message","example":"Success","isRequired":true,"uniqueKey":"msg","typeLabel":"string"},"data":{"type":"object","properties":{"message":{"type":"string","example":"webhook deleted","uniqueKey":"data.message","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":0,"msg":"Success","data":{"message":"webhook deleted"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"71ba0c86-b503-42ce-a9fe-0fa52c0002ef":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"API key for authentication. Obtain your key from the JoggAI dashboard.","scopes":[],"schemeName":"apiKeyAuth"}}},"servers":{"96615429-67a8-4f47-8174-a31957b3c19f":{"url":"https://api.jogg.ai","description":"Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"API key for authentication. Obtain your key from the JoggAI dashboard.","scopes":[],"schemeName":"apiKeyAuth"},"schema":{"title":"x-api-key","type":"string","description":"API key for authentication. Obtain your key from the JoggAI dashboard.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"x-api-key"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference/v2/openapi-v2.yaml"},"subdomain":"joggai","siteName":"JoggAI API","title":"Delete Webhook Endpoint - JoggAI API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-28T09:29:43.226Z","originalFileLocation":"api-reference/v2/Webhook/DeleteWebhookEndpoint.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Remove a webhook endpoint from your account. This action cannot be undone and the endpoint will stop receiving events immediately.\">\u003cmeta data-mint-head name=\"application-name\" content=\"JoggAI API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Delete Webhook Endpoint - JoggAI API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Remove a webhook endpoint from your account. This action cannot be undone and the endpoint will stop receiving events immediately.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"JoggAI API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://joggai.mintlify.site/_mintlify/api/og/v2?division=Webhook\u0026amp;title=Delete+Webhook+Endpoint\u0026amp;description=Remove+a+webhook+endpoint+from+your+account.%0AThis+action+cannot+be+undone+and+the+endpoint+will+stop+receiving+events+immediately.%0A\u0026amp;theme=45f50e3d65156d794d2965b2\u0026amp;signature=276a2e9889e2f28f9e96c07a0b9d77fe34399d40796e0f4cd99d1458ad033941\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Delete Webhook Endpoint - JoggAI API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Remove a webhook endpoint from your account. This action cannot be undone and the endpoint will stop receiving events immediately.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://joggai.mintlify.site/_mintlify/api/og/v2?division=Webhook\u0026amp;title=Delete+Webhook+Endpoint\u0026amp;description=Remove+a+webhook+endpoint+from+your+account.%0AThis+action+cannot+be+undone+and+the+endpoint+will+stop+receiving+events+immediately.%0A\u0026amp;theme=45f50e3d65156d794d2965b2\u0026amp;signature=276a2e9889e2f28f9e96c07a0b9d77fe34399d40796e0f4cd99d1458ad033941\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"JoggAI API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2E5CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/Webhook/DeleteWebhookEndpoint.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.jogg.ai/#organization\",\"name\":\"JoggAI API\",\"url\":\"https://docs.jogg.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312320557.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=60564135d6f732afa55cb2402b5b822d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.jogg.ai#website\",\"name\":\"JoggAI API\",\"url\":\"https://docs.jogg.ai\",\"publisher\":{\"@id\":\"https://docs.jogg.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint#webpage\",\"url\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint\",\"name\":\"Delete Webhook Endpoint\",\"description\":\"Remove a webhook endpoint from your account. This action cannot be undone and the endpoint will stop receiving events immediately.\",\"dateModified\":\"2026-08-28T09:29:43.226Z\",\"isPartOf\":{\"@id\":\"https://docs.jogg.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Webhook\",\"item\":\"https://docs.jogg.ai/api-reference/v2/Webhook/ListWebhookEndpoints\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Delete Webhook Endpoint\",\"item\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint#apireference\",\"headline\":\"Delete Webhook Endpoint\",\"name\":\"Delete Webhook Endpoint\",\"description\":\"Remove a webhook endpoint from your account. This action cannot be undone and the endpoint will stop receiving events immediately.\",\"url\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint\",\"mainEntityOfPage\":{\"@id\":\"https://docs.jogg.ai/api-reference/v2/Webhook/DeleteWebhookEndpoint#webpage\"},\"dateModified\":\"2026-08-28T09:29:43.226Z\",\"publisher\":{\"@id\":\"https://docs.jogg.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.jogg.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"JoggAI API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"JoggAI API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/v2/Webhook/DeleteWebhookEndpoint.md","siteName":"JoggAI API","nav":{"global":{"anchors":[{"anchor":"Roadmap","icon":"pencil","href":"https://updates.jogg.ai/roadmap"},{"anchor":"Changelog","icon":"code","href":"https://updates.jogg.ai/changelog"},{"anchor":"Share Your Ideas","icon":"envelope","href":"https://updates.jogg.ai/"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home/WelcometoJoggAI"}]},{"tab":"API Documentation","groups":[{"group":"QuickStart","pages":[{"title":"Getting Started","href":"/api-reference/v2/QuickStart/GettingStarted"},{"title":"Pricing","href":"/api-reference/v2/QuickStart/Pricing"},{"title":"Error Handling","href":"/api-reference/v2/QuickStart/ErrorHandling"},{"title":"Rate Limits","href":"/api-reference/v2/QuickStart/RateLimits"}]},{"group":"Workflows Guides","pages":[{"group":"Create Avatar Videos","pages":[{"title":"Create Talking Avatar Videos","href":"/api-reference/v2/API Documentation/CreateAvatarVideos"},{"title":"Avatar Videos with Photo Avatars","href":"/api-reference/v2/API Documentation/AvatarVideosWithPhotoAvatar"},{"title":"Avatar Videos with Transparent Background","href":"/api-reference/v2/API Documentation/AvatarVideosTransparentBackground"},{"title":"Avatar Videos with Custom Audio","href":"/api-reference/v2/API Documentation/AvatarVideosWithAudioSource"}]},{"title":"Create Video from URL/Product","href":"/api-reference/v2/API Documentation/URLtoVideo"},{"title":"Create Video from Template","href":"/api-reference/v2/API Documentation/CreateVideoFromTemplate"},{"title":"Lip Sync Video","href":"/api-reference/v2/API Documentation/LipSyncVideo"},{"title":"Video Translation","href":"/api-reference/v2/API Documentation/VideoTranslation"},{"title":"Create Photo Avatar","href":"/api-reference/v2/API Documentation/CreatePhotoAvatar"},{"title":"Upload Media Assets","href":"/api-reference/v2/API Documentation/UploadMedia"},{"title":"AI Script Generation","href":"/api-reference/v2/API Documentation/AIScripts"},{"title":"Webhook Integration Guide","href":"/api-reference/v2/API Documentation/WebhookIntegration"},{"title":"Check Video Result \u0026 Status","href":"/api-reference/v2/API Documentation/GetResult"}]},{"group":"Video","pages":[{"title":"Create Video from Avatar","openapi":"POST /v2/create_video_from_avatar","href":"/api-reference/v2/Video/CreateVideoFromAvatar"},{"title":"Get Avatar Video Status","openapi":"GET /v2/avatar_video/{id}","href":"/api-reference/v2/Video/AvatarVideoGet"},{"title":"Create Video from Product","openapi":"POST /v2/create_video_from_product","href":"/api-reference/v2/Video/CreateVideoFromProduct"},{"title":"Submit Preview List","openapi":"POST /v2/create_video_from_product/preview_list","href":"/api-reference/v2/Video/SubmitPreviewList"},{"title":"Render Video from Preview","openapi":"POST /v2/create_video_from_product/render_single_preview","href":"/api-reference/v2/Video/RenderSinglePreview"},{"title":"Get Product Video Status","openapi":"GET /v2/product_video/{product_video_id}","href":"/api-reference/v2/Video/ProductVideoGet"},{"title":"Create Video with Template","openapi":"POST /v2/create_video_with_template","href":"/api-reference/v2/Video/CreateVideoWithTemplate"},{"title":"Get Template Video","openapi":"GET /v2/template_video/{video_id}","href":"/api-reference/v2/Video/TemplateVideoGet"},{"title":"Create Lip Sync Video Task","openapi":"POST /v2/create_lip_sync_video","href":"/api-reference/v2/Video/CreateLipSyncVideo"},{"title":"Get Lip Sync Video Task","openapi":"GET /v2/lip_sync_video/{task_id}","href":"/api-reference/v2/Video/GetLipSyncVideo"},{"title":"Translate Video","openapi":"POST /v2/video_translate/","href":"/api-reference/v2/Video/VideoTranslateCreate"},{"title":"Check Translation Status","openapi":"GET /v2/video_translate/{video_translate_id}","href":"/api-reference/v2/Video/VideoTranslateGet"},{"title":"Get Target Languages","openapi":"GET /v2/video_translate/target_languages","href":"/api-reference/v2/Video/VideoTranslateTargetLanguagesList"}]},{"group":"Avatar","pages":[{"title":"Get Public Avatars","openapi":"GET /v2/avatars/public","href":"/api-reference/v2/Avatar/PublicAvatarsGet"},{"title":"Get Custom Avatars","openapi":"GET /v2/avatars/custom","href":"/api-reference/v2/Avatar/CustomAvatarsGet"},{"title":"Get Photo Avatars","openapi":"GET /v2/avatars/photo_avatars","href":"/api-reference/v2/Avatar/PhotoAvatarsGet"},{"title":"Generate Photo Avatar","openapi":"POST /v2/photo_avatar/photo/generate","href":"/api-reference/v2/Avatar/PhotoAvatarGenerate"},{"title":"Get Photo Avatar Status","openapi":"GET /v2/photo_avatar/photo","href":"/api-reference/v2/Avatar/PhotoAvatarStatusGet"},{"title":"Add Motion to Photo Avatar","openapi":"POST /v2/photo_avatar/add_motion","href":"/api-reference/v2/Avatar/PhotoAvatarMotionAdd"},{"title":"Check Motion Status","openapi":"GET /v2/photo_avatar","href":"/api-reference/v2/Avatar/MotionStatusCheck"}]},{"group":"Voice","pages":[{"title":"Get Voices","openapi":"GET /v2/voices","href":"/api-reference/v2/Voice/GetVoices"},{"title":"Get Custom Voices","openapi":"GET /v2/voices/custom","href":"/api-reference/v2/Voice/GetCustomVoices"},{"title":"Synthesize Speech","openapi":"POST /v2/audio/tts/synthesize","href":"/api-reference/v2/Voice/SynthesizeSpeech"},{"title":"Get Speech Task","openapi":"GET /v2/audio/tts/tasks/{task_id}","href":"/api-reference/v2/Voice/GetSpeechTask"}]},{"group":"Asset","pages":[{"title":"Create AI Script","openapi":"POST /v2/ai_scripts","href":"/api-reference/v2/Asset/CreateAIScript"},{"title":"Get AI Script Result","openapi":"GET /v2/ai_scripts/results/{task_id}","href":"/api-reference/v2/Asset/GetAIScriptResult"},{"title":"Get Background Music","openapi":"GET /v2/musics","href":"/api-reference/v2/Asset/GetMusic"},{"title":"Get Visual Styles","openapi":"GET /v2/visual_styles","href":"/api-reference/v2/Asset/GetVisualStyles"},{"title":"Upload Asset","openapi":"POST /v2/upload/asset","href":"/api-reference/v2/Asset/UploadAsset"}]},{"group":"Template","pages":[{"title":"Get Templates","openapi":"GET /v2/templates/custom","href":"/api-reference/v2/Template/GetTemplates"},{"title":"Get Template by ID","openapi":"GET /v2/template/custom/{id}","href":"/api-reference/v2/Template/GetTemplateById"}]},{"group":"Product","pages":[{"title":"Create Product","openapi":"POST /v2/product","href":"/api-reference/v2/Product/CreateProduct"},{"title":"Update Product","openapi":"PUT /v2/product","href":"/api-reference/v2/Product/UpdateProduct"}]},{"group":"User","pages":[{"title":"Get User Info","openapi":"GET /v2/user/whoami","href":"/api-reference/v2/User/GetUserInfo"},{"title":"Get Remaining Quota","openapi":"GET /v2/user/remaining_quota","href":"/api-reference/v2/User/GetRemainingQuota"}]},{"group":"Webhook","pages":[{"title":"List Webhook Endpoints","openapi":"GET /v2/endpoints","href":"/api-reference/v2/Webhook/ListWebhookEndpoints"},{"title":"Add Webhook Endpoint","openapi":"POST /v2/endpoint","href":"/api-reference/v2/Webhook/AddWebhookEndpoint"},{"title":"Update Webhook Endpoint","openapi":"PUT /v2/endpoint/{endpoint_id}","description":"Update an existing webhook endpoint configuration including URL, status, and subscribed events.\n","href":"/api-reference/v2/Webhook/UpdateWebhookEndpoint"},{"title":"Delete Webhook Endpoint","openapi":"DELETE /v2/endpoint/{endpoint_id}","href":"/api-reference/v2/Webhook/DeleteWebhookEndpoint"},{"title":"List Webhook Events","openapi":"GET /v2/events","description":"Get a list of all available webhook event types that you can subscribe to.\nEach event type represents a specific action or status change in the system.\n","href":"/api-reference/v2/Webhook/ListWebhookEvents"}]}]},{"tab":"V1","hidden":true,"pages":[{"title":"V1","href":"/api-reference/v1/QuickStart/GettingStarted"}]}]},"basePath":"","title":"Delete Webhook Endpoint - JoggAI API","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}